com.interactivemesh.jfx.importer.col

## Enum ColImportOption

- java.lang.Object
- - java.lang.Enum<ColImportOption>
  - - com.interactivemesh.jfx.importer.col.ColImportOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColImportOption>

      public enum ColImportOption
      extends java.lang.Enum<ColImportOption>

  Import options for the JavaFX COLLADA model importer.
  See Also:
    `ColModelImporter.getOptions()`, `ColModelImporter.setOptions(java.util.EnumSet)`, `ColModelImporter.setOptions(ColImportOption...)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERATE_NORMALS` Normals will be generated based on the given crease angle.
    `IGNORE_CAMERAS` No camera node will be created and added to the scene graph.
    `IGNORE_LIGHTS` No light node will be created and added to the scene graph.
    `MAP_WRITABLEIMAGE` The maps of a `PhongMaterial` object will be of type `WritableImage`.
    `NONE` No option is applied.
    `REVERSE_GEOMETRY` The winding of the triangles will be reversed (counterclockwise <-> clockwise).
    `REVERSE_TRANSPARENCY` The transparency value will be reversed: t = 1.0 - t.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColImportOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColImportOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ColImportOption NONE

      No option is applied.

    - #### GENERATE_NORMALS

          public static final ColImportOption GENERATE_NORMALS

      Normals will be generated based on the given crease angle. The normals in the imported file will be ignored. A new set of face smoothing groups will be created afterwards.
      See Also:
        `ColModelImporter.setCreaseAngle(double)`

    - #### IGNORE_CAMERAS

          public static final ColImportOption IGNORE_CAMERAS

      No camera node will be created and added to the scene graph.

      Nevertheless, the camera library and instance elements (`<library_cameras>, <instance_camera>`) will be read and `Viewpoint` objects will be created if camera instances are present.

      See Also:
        `ColModelImporter.getViewpoints()`, `Viewpoint`

    - #### IGNORE_LIGHTS

          public static final ColImportOption IGNORE_LIGHTS

      No light node will be created and added to the scene graph. The light library and instance elements (`<library_lights>, <instance_light>`) will be ignored.

    - #### REVERSE_GEOMETRY

          public static final ColImportOption REVERSE_GEOMETRY

      The winding of the triangles will be reversed (counterclockwise <-> clockwise).

    - #### REVERSE_TRANSPARENCY

          public static final ColImportOption REVERSE_TRANSPARENCY

      The transparency value will be reversed: t = 1.0 - t.

    - #### MAP_WRITABLEIMAGE

          public static final ColImportOption MAP_WRITABLEIMAGE

      The maps of a `PhongMaterial` object will be of type `WritableImage`.

  - ### Method Detail

    - #### values

          public static ColImportOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColImportOption c : ColImportOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColImportOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (C) 2013-2014 InteractiveMesh e.K.